Skip to content

Wowza Video REST API Reference Documentation (v1.11)

API lifecycle phase: Supported 2

Want to take the API for a test run?

All you'll need is a Wowza Video subscription, or free trial, for the API access token. Then, fork our collection in Postman and you'll be making calls to our REST API in minutes!

See Trial the Wowza Video REST API using Postman for more information.

This reference documentation provides details about the operations, parameters, and request and reponse schemas for every resource and endpoint in the Wowza Video REST API. Samples appear in the right column. Sample requests are presented in cURL (Shell) and JavaScript; some samples also include just the JSON object. Response samples are all JSON. Examples in cURL use environment variables so you can easily copy and paste them. To learn more, see Using cURL.

Reference documentation is available for every version of the API. Use the Version menu at the top of the page to access the reference doc for a different version of the API.

Download OpenAPI description
Overview
License
Languages
Servers
Mock server
https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi
https://api.video.wowza.com/api/v1.11

Live Streams

Operations related to live streams. A live stream is a single, linear video broadcast. You broadcast a live stream by receiving encoded source video into the Wowza Video service and letting Wowza Video transcode the stream and deliver it to viewers. A live stream is essentially a one-stop method for creating a transcoder, output renditions, stream targets, and associated players.

Operations

Players

Operations related to players, which are created through the /live_streams resource. Players created through Wowza Video live streams can be embedded into your own web page or played through a web page hosted by Wowza Video.

Operations

Transcoders

Operations related to transcoders, output renditions, and output stream targets.

Operations

Stream Sources

Operations related to stream sources. You can create a Wowza stream source and associate it to a live stream or transcoder.

Operations

Stream Targets

Operations related to stream targets. A stream target is a destination for a stream. Stream targets can be Wowza Video edge resources; custom, external destinations target destinations.

Operations

Create a custom stream target

Request

This operation creates a custom stream target for an external, third-party destination.

Bodyapplication/jsonrequired

Provide the details of the custom stream target to create in the body of the request.

stream_target_customobject(stream_target_custom)required
Example: {"name":"My Custom Stream Target","primary_url":"rtmp://p.ep123456.i.akamaientrypoint.net/EntryPoint","provider":"rtmp","stream_name":"c8467d50@123456"}
stream_target_custom.​namestringrequired

A descriptive name for the custom stream target. Maximum 255 characters.

Example: "My Custom Stream Target"
stream_target_custom.​primary_urlstringrequired

The primary RTMP ingest URL. Hostnames can't contain underscores.

Example: "rtmp://p.ep123456.i.akamaientrypoint.net/EntryPoint"
stream_target_custom.​providerstringrequired

The CDN for the target.

Enum"akamai_cupertino""rtmp""rtmps"
Example: "rtmp"
stream_target_custom.​stream_namestringrequired

The name of the stream as defined in the target's ingestion settings. The protocol, host name, and path components of the stream name URL must be 255 characters or less. The query strings and parameter components of the stream name URL must be 1024 characters or less.

Example: "c8467d50@123456"
stream_target_custom.​backup_urlstring

The backup RTMP ingest URL of the custom stream target. Not all providers or third-party CDNs provide backup URLs. Not for use with the akamai_cuptertino custom provider.

Note: When both the primary and backup URLs are used, Wowza Video sends the stream to both URLs, allowing a provider or 3rd party CDN to improve reliability and prevent playback disruption. If you want to use both URLs, make sure you add the stream target to the output rendition twice, once with use_stream_target_backup_url as false (the default) and once with use_stream_target_backup_url as true. See POST /transcoders/[ID]/outputs/[ID]/output_stream_targets for more information.

Example: "backup_url": "rtmp://b.ep337857.i.akamaientrypoint.net/EntryPoint"

Example: "rtmp://b.ep337857.i.akamaientrypoint.net/EntryPoint"
stream_target_custom.​playback_urlsobject(Hash of playback URLs)

Web addresses that the target uses to play streams. Available from version 1.7.

Example: See response body sample

stream_target_custom.​passwordstring

A username must also be present. The password associated with the target username for RTMP authentication. Not for use with the akamai_cupertino custom provider. Example: "password": "cb1e77e98d"

Example: "cb1e77e98d"
stream_target_custom.​usernamestring

The username or ID that the target uses for RTMP authentication. Not for use with the akamai_cupertino custom provider.

Example: "319699"
curl -i -X POST \
  https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/stream_targets/custom \
  -H 'Content-Type: application/json' \
  -d '{
    "stream_target_custom": {
      "name": "My Custom Stream Target",
      "primary_url": "rtmp://p.ep123456.i.akamaientrypoint.net/EntryPoint",
      "provider": "rtmp",
      "stream_name": "c8467d50@123456"
    }
  }'

Responses

Success

Bodyapplication/json
stream_target_customobject(stream_target_custom)
Example: {"created_at":"2020-01-28T17:16:22.011Z","delivery_protocols":["rtmp"],"id":"RMS45lfvx","name":"My Custom Stream Target","playback_urls":{"rtmp":[{"name":"default","url":"rtmp://cp123456.live.edgefcs.net/live/[EVENT]@654321"}]},"primary_url":"rtmp://p.ep123456.i.akamaientrypoint.net/EntryPoint","provider":"rtmp","stream_name":"c8467d50@123456","updated_at":"2020-01-30T19:14:11.011Z"}
Response
application/json
{ "stream_target_custom": { "created_at": "2020-01-28T17:16:22.011Z", "delivery_protocols": [], "id": "RMS45lfvx", "name": "My Custom Stream Target", "playback_urls": {}, "primary_url": "rtmp://p.ep123456.i.akamaientrypoint.net/EntryPoint", "provider": "rtmp", "stream_name": "c8467d50@123456", "updated_at": "2020-01-30T19:14:11.011Z" } }

Fetch all custom stream targets

Request

This operation lists limited details for all of your custom stream targets. For detailed information, fetch a single custom stream target.

Query
pageinteger

Returns a paginated view of results from the HTTP request. Specify a positive integer to indicate which page of the results should be displayed. The default is 1.

For more information and examples, see Get paginated query results with the Wowza Video REST API.

per_pageinteger

For use with the page parameter. Indicates how many records should be included in a page of results. A valid value is any positive integer. The default and maximum value is 1000.

curl -i -X GET \
  'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/stream_targets/custom?page=0&per_page=0'

Responses

Success

Bodyapplication/json
stream_targets_customArray of objects(stream_targets_custom)required
Example: [{"created_at":"2020-01-28T17:16:22.008Z","id":"RMS45lfvx","name":"My Custom Stream Target","updated_at":"2020-01-31T00:44:50.008Z"},{"created_at":"2020-01-28T17:16:22.008Z","id":"ABC45lxyz","name":"My Second Custom Stream Target","updated_at":"2020-01-31T02:05:33.008Z"}]
stream_targets_custom[].​created_atstring(date-time)

The date and time that the custom stream target was created.

Example: ""
stream_targets_custom[].​idstring

The unique alphanumeric string that identifies the custom stream target.

Example: ""
stream_targets_custom[].​namestring

A descriptive name for the custom stream target. Maximum 255 characters.

Example: ""
stream_targets_custom[].​updated_atstring(date-time)

The date and time that the custom stream target was updated.

Example: ""
Response
application/json
{ "stream_targets_custom": [ {}, {} ] }

Fetch a custom stream target

Request

This operation shows the details of a specific custom stream target.

Path
idstringrequired

The unique alphanumeric string that identifies the custom stream target.

curl -i -X GET \
  'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/stream_targets/custom/{id}'

Responses

Success

Bodyapplication/json
stream_target_customobject(stream_target_custom)
Example: {"created_at":"2020-01-28T17:16:22.011Z","delivery_protocols":["rtmp"],"id":"RMS45lfvx","name":"My Custom Stream Target","playback_urls":{"rtmp":[{"name":"default","url":"rtmp://cp123456.live.edgefcs.net/live/[EVENT]@654321"}]},"primary_url":"rtmp://p.ep123456.i.akamaientrypoint.net/EntryPoint","provider":"rtmp","stream_name":"c8467d50@123456","updated_at":"2020-01-30T19:14:11.011Z"}
Response
application/json
{ "stream_target_custom": { "created_at": "2020-01-28T17:16:22.011Z", "delivery_protocols": [], "id": "RMS45lfvx", "name": "My Custom Stream Target", "playback_urls": {}, "primary_url": "rtmp://p.ep123456.i.akamaientrypoint.net/EntryPoint", "provider": "rtmp", "stream_name": "c8467d50@123456", "updated_at": "2020-01-30T19:14:11.011Z" } }

Assets

Operations related to assets, which are created through the /assets resources. The Wowza Video service can store and transcode mp4 files that you can tag, manage, and restream.

Operations

Recordings

Operations related to recordings, which are created through the /live_streams or /transcoders resources. The Wowza Video service can create MP4 recordings of your live streams and transcoded output. Recordings can be downloaded and saved locally. They're based on the highest-bitrate output rendition that Wowza Video generates from your video source. See About recordings to learn more.

Operations

Schedules

Operations related to schedules. Schedules allow you to automatically start or stop a live stream or transcoder at a predetermined date and time. You can configure a schedule to start and/or stop a live stream or transcoder just once, or you can configure it to repeat the behavior on a regular basis. See About schedules to learn more.

Operations

VOD Streams

Operations related to video on demand (VOD) streams, which are created through the /live_streams or /transcoders resources. A VOD stream is a recording of a live stream that viewers can replay at a later date. After the broadcast is over and the live stream or transcoder is stopped, Wowza Video creates the VOD stream and generates a playback URL. See About VOD Streams to learn more.

Operations

Real-Time Streams

Operations related to Real-Time Streaming at Scale. If your audience is fewer than 300 viewers or you want to deliver a stream in near real time alongside other delivery protocols, use our WebRTC solution.

To enable and purchase capacity for Real-Time Streaming at Scale for your account and access the /real_time operations, contact 720.279.8163 or schedule a call.
Operations

Viewers

Operations related to viewer analytics.

Operations

Ingest

Operations related to ingest analytics for a live stream.

Operations

Engagement

Operations related to engagement analytics for a VOD stream.

Operations

Popularity

Operations related to popularity analytics.

Operations

Account

Operations related to stream analytics for an account.

Operations

Transcoders

Operations related to transcoder analytics.

Operations

Stream Targets

Operations related to stream target analytics, including CDN usage and viewer data.

Operations

Storage

Operations related to peak storage for an account. You can use this operation to show the amount of peak recording and VOD stream storage used by your account.

Operations

VOD Streams

Operations related to video on demand (VOD) stream analytics.

Operations

Real Time Streams

Operations related to real-time streams analytics.

Operations